> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspaces

> Returns a paginated list of workspaces.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/workspaces
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces:
    get:
      tags:
        - Workspaces
      summary: List Workspaces
      description: Returns a paginated list of workspaces.
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 25
            example: 25
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: List of workspaces
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workspace'
                  pagination:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                      next_cursor:
                        type: string
                    required:
                      - has_more
                  request_id:
                    type: string
                required:
                  - data
                  - pagination
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        business_category:
          type: string
          nullable: true
        tenant_id:
          type: string
          nullable: true
        activated:
          type: boolean
        connector_type:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - business_category
        - tenant_id
        - activated
        - connector_type
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````